> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyra.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Assignments

> Retrieve assignment information for a staff member



## OpenAPI

````yaml get /staff/assignments/{workspaceId}/{staffId}
openapi: 3.0.3
info:
  title: Hyra API
  description: Hyra Monolythic API
  version: 2.0.0
servers:
  - url: https://api.hyra.io
security: []
paths:
  /staff/assignments/{workspaceId}/{staffId}:
    get:
      tags:
        - Staff
      description: Retrieve assignment information for a staff member
      parameters:
        - schema:
            type: string
          in: path
          name: workspaceId
          required: true
        - schema:
            type: string
          in: path
          name: staffId
          required: true
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  assigned:
                    type: array
                    items:
                      type: object
                      properties:
                        active:
                          type: boolean
                        _id:
                          type: string
                        target:
                          type: number
                        target_type:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        updatedAt:
                          type: string
                          format: date-time
                        name:
                          type: string
                        description:
                          type: string
                        completed:
                          type: number
                        due:
                          type: string
                          format: date-time
                      required:
                        - active
                        - _id
                        - target
                        - target_type
                        - createdAt
                        - updatedAt
                        - name
                        - completed
                        - due
                  history:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        week_start:
                          type: string
                          format: date-time
                        week_end:
                          type: string
                          format: date-time
                        week_number:
                          type: number
                        year:
                          type: number
                        assignment:
                          type: string
                        assignment_name:
                          type: string
                        marked_at:
                          type: string
                          format: date-time
                        passed:
                          type: boolean
                        target:
                          type: number
                        target_type:
                          type: string
                        achieved:
                          type: number
                        timeoff:
                          type: boolean
                      required:
                        - _id
                        - week_start
                        - week_end
                        - week_number
                        - year
                        - assignment
                        - assignment_name
                        - marked_at
                        - passed
                        - target
                        - target_type
                        - achieved
                required:
                  - assigned
                  - history
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````